Subject: [P2PSIP] ConfigUpdateReq flooding

From: "Michael Chen" <[email-masked]>
Date: Fri, 05 Aug 2011 09:48:22 -0700

Hi,

In section 5.5.4 of the current p2psip-base draft (up to base-18):

  "Whenever a node detects that another node has old configuration data,
it MUST generate a ConfigUpdate request."

A request from a peer with an out-dated config doc may traverse many
forwarding peers. The draft may be interpreted as such that all peers in
such path will send a ConfigUpdateReq back to this out-dated peer. That
is bad.

I suggest the base draft "RECOMMEND" that only the immediate peer (first
hop) send the ConfigUpdate request, which is the most efficient and
reliable.

Thanks

--Michael